Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 822924 - Missing perl dependencies cause "publican create" failures
Summary: Missing perl dependencies cause "publican create" failures
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: publican
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ruediger Landmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-18 14:06 UTC by Russell Bryant
Modified: 2013-08-01 09:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 09:16:13 UTC


Attachments (Terms of Use)

Description Russell Bryant 2012-05-18 14:06:16 UTC
Description of problem:

I just installed Publican on Fedora 17.  The "publican create" command failed until I installed a couple of perl dependencies manually.

The first time I ran "publican create":

Can't locate Class/Load.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/share/perl5/vendor_perl/DateTime/TimeZone/Local.pm line 9, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/DateTime/TimeZone/Local.pm line 9, <DATA> line 1662.
Compilation failed in require at /usr/share/perl5/vendor_perl/DateTime/TimeZone.pm line 13, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/DateTime/TimeZone.pm line 13, <DATA> line 1662.
Compilation failed in require at /usr/lib64/perl5/vendor_perl/DateTime.pm line 47, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/lib64/perl5/vendor_perl/DateTime.pm line 47, <DATA> line 1662.
Compilation failed in require at /usr/share/perl5/vendor_perl/Publican/CreateBook.pm line 10, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Publican/CreateBook.pm line 10, <DATA> line 1662.
Compilation failed in require at /usr/bin/publican line 17, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/bin/publican line 17, <DATA> line 1662.


After installing perl-Class-Load:

Can't locate File/Which.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/share/perl5/vendor_perl/Publican/Builder.pm line 32, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Publican/Builder.pm line 32, <DATA> line 1662.
Compilation failed in require at /usr/share/perl5/vendor_perl/Publican/CreateBook.pm line 13, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Publican/CreateBook.pm line 13, <DATA> line 1662.
Compilation failed in require at /usr/bin/publican line 17, <DATA> line 1662.
BEGIN failed--compilation aborted at /usr/bin/publican line 17, <DATA> line 1662.


After installing perl-File-Which, it worked.


Version-Release number of selected component (if applicable):

publican-2.8-2.fc17.noarch

Comment 1 Fedora End Of Life 2013-07-04 02:44:44 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2013-08-01 09:16:19 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.